PLaSK library

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
plask::optical::modal::python Namespace Reference

## Namespaces
namespace | detail

## Classes
struct | CoeffsArray
struct | Eigenmodes
| Proxy class for accessing layer eigenmodes. More...
struct | FourierSolver3D_LongTranSetter
struct | FourierSolver3D_LongTranWrapper
struct | FourierSolver3D_SymmetryLongTranWrapper
struct | PmlWrapper
struct | PythonComponentConventer
struct | Scattering
| Proxy class for accessing scatterd fields. More...
struct | WrappedType
struct | WrappedType< PML >

## Functions
template<>
const char * | solver_compute_reflectivity_name< BesselSolverCyl > ()
template<>
const char * | solver_compute_transmittivity_name< BesselSolverCyl > ()
std::string | BesselSolverCyl_Mode_str (const BesselSolverCyl::Mode &self)
std::string | BesselSolverCyl_Mode_repr (const BesselSolverCyl::Mode &self)
py::object | BesselSolverCyl_getDeterminant (py::tuple args, py::dict kwargs)
void | export_BesselSolverCyl ()
template<>
const char * | solver_compute_reflectivity_name< FourierSolver2D > ()
template<>
const char * | solver_compute_transmittivity_name< FourierSolver2D > ()
void | FourierSolver2D_setPolarization (FourierSolver2D *self, PyObject *polarization)
py::object | FourierSolver2D_computeReflectivity_polarization (FourierSolver2D *self, py::object wavelength, Transfer::IncidentDirection side, PyObject *polarization)
py::object | FourierSolver2D_computeTransmittivity_polarization (FourierSolver2D *self, py::object wavelength, Transfer::IncidentDirection side, PyObject *polarization)
shared_ptr< Scattering< FourierSolver2D > > | FourierSolver2D_Scattering_from_polarization (FourierSolver2D *parent, Transfer::IncidentDirection side, PyObject *polarization)
void | export_FourierSolver2D ()
template<>
const char * | solver_compute_reflectivity_name< FourierSolver3D > ()
template<>
const char * | solver_compute_transmittivity_name< FourierSolver3D > ()
py::object | FourierSolver3D_Mode__getattr__ (const FourierSolver3D::Mode &mode, const std::string name)
std::string | FourierSolver3D_Mode_symmetry (const FourierSolver3D::Mode &self)
std::string | FourierSolver3D_Mode_str (const FourierSolver3D::Mode &self)
std::string | FourierSolver3D_Mode_repr (const FourierSolver3D::Mode &self)
FourierSolver3D_LongTranWrapper< size_t > | FourierSolver3D_getSize (FourierSolver3D *self)
FourierSolver3D_LongTranWrapper< size_t > | FourierSolver3D_getRefine (FourierSolver3D *self)
FourierSolver3D_LongTranWrapper< PML > | FourierSolver3D_getPml (FourierSolver3D *self)
py::object | FourierSolver3D_getDeterminant (py::tuple args, py::dict kwargs)
size_t | FourierSolver3D_findMode (py::tuple args, py::dict kwargs)
void | export_FourierSolver3D ()
template<typename Solver >
py::tuple | Solver_getMatrices (Solver &self, size_t layer)
template<typename Solver >
py::tuple | Solver_getDiagonalized (Solver &self, size_t layer)
template<typename SolverT >
const char * | solver_compute_reflectivity_name ()
template<typename SolverT >
const char * | solver_compute_transmittivity_name ()
template<typename SolverT >
py::object | Solver_computeReflectivity_polarization (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, Expansion::Component polarization)
template<typename SolverT >
py::object | Solver_computeTransmittivity_polarization (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, Expansion::Component polarization)
template<typename SolverT >
py::object | Solver_computeReflectivity_index (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, size_t index)
template<typename SolverT >
py::object | Solver_computeTransmittivity_index (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, size_t index)
template<typename SolverT >
py::object | Solver_computeReflectivity_array (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, CoeffsArray coeffs)
template<typename SolverT >
py::object | Solver_computeTransmittivity_array (SolverT *self, py::object wavelength, Transfer::IncidentDirection side, CoeffsArray coeffs)
template<typename SolverT >
py::object | get_max_temp_diff (SolverT *self)
template<typename SolverT >
void | set_max_temp_diff (SolverT *self, py::object value)
template<typename Class >
void | export_base (Class solver)

## Function Documentation

## ◆ BesselSolverCyl_getDeterminant()

py::object plask::optical::modal::python::BesselSolverCyl_getDeterminant | ( | py::tuple | args,
|  | py::dict | kwargs
| ) |  |

Definition at line 50 of file besselcyl-python.cpp.

## ◆ BesselSolverCyl_Mode_repr()

std::string plask::optical::modal::python::BesselSolverCyl_Mode_repr | ( | const BesselSolverCyl::Mode & | self | ) |

Definition at line 46 of file besselcyl-python.cpp.

## ◆ BesselSolverCyl_Mode_str()

std::string plask::optical::modal::python::BesselSolverCyl_Mode_str | ( | const BesselSolverCyl::Mode & | self | ) |

Definition at line 43 of file besselcyl-python.cpp.

## ◆ export_base()

template<typename Class >

void plask::optical::modal::python::export_base | ( | Class | solver | ) |
| inline

Definition at line 1115 of file modal-python.hpp.

## ◆ export_BesselSolverCyl()

void plask::optical::modal::python::export_BesselSolverCyl | ( |  | ) |

Definition at line 177 of file besselcyl-python.cpp.

## ◆ export_FourierSolver2D()

void plask::optical::modal::python::export_FourierSolver2D | ( |  | ) |

Definition at line 435 of file fourier2d-python.cpp.

## ◆ export_FourierSolver3D()

void plask::optical::modal::python::export_FourierSolver3D | ( |  | ) |

Definition at line 501 of file fourier3d-python.cpp.

## ◆ FourierSolver2D_computeReflectivity_polarization()

py::object plask::optical::modal::python::FourierSolver2D_computeReflectivity_polarization | ( | FourierSolver2D * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | PyObject * | polarization
| ) |  |

Definition at line 411 of file fourier2d-python.cpp.

## ◆ FourierSolver2D_computeTransmittivity_polarization()

py::object plask::optical::modal::python::FourierSolver2D_computeTransmittivity_polarization | ( | FourierSolver2D * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | PyObject * | polarization
| ) |  |

Definition at line 419 of file fourier2d-python.cpp.

## ◆ FourierSolver2D_Scattering_from_polarization()

shared_ptr< Scattering< FourierSolver2D > > plask::optical::modal::python::FourierSolver2D_Scattering_from_polarization | ( | FourierSolver2D * | parent,
|  | Transfer::IncidentDirection | side,
|  | PyObject * | polarization
| ) |  |

Definition at line 427 of file fourier2d-python.cpp.

## ◆ FourierSolver2D_setPolarization()

void plask::optical::modal::python::FourierSolver2D_setPolarization | ( | FourierSolver2D * | self,
|  | PyObject * | polarization
| ) |  |

Definition at line 407 of file fourier2d-python.cpp.

## ◆ FourierSolver3D_findMode()

size_t plask::optical::modal::python::FourierSolver3D_findMode | ( | py::tuple | args,
|  | py::dict | kwargs
| ) |  |

Definition at line 423 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_getDeterminant()

py::object plask::optical::modal::python::FourierSolver3D_getDeterminant | ( | py::tuple | args,
|  | py::dict | kwargs
| ) |  |

Definition at line 271 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_getPml()

FourierSolver3D_LongTranWrapper< PML > plask::optical::modal::python::FourierSolver3D_getPml | ( | FourierSolver3D * | self | ) |

Definition at line 201 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_getRefine()

FourierSolver3D_LongTranWrapper< size_t > plask::optical::modal::python::FourierSolver3D_getRefine | ( | FourierSolver3D * | self | ) |

Definition at line 197 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_getSize()

FourierSolver3D_LongTranWrapper< size_t > plask::optical::modal::python::FourierSolver3D_getSize | ( | FourierSolver3D * | self | ) |

Definition at line 193 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_Mode__getattr__()

py::object plask::optical::modal::python::FourierSolver3D_Mode__getattr__ | ( | const FourierSolver3D::Mode & | mode,
|  | const std::string | name
| ) |  |

Definition at line 53 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_Mode_repr()

std::string plask::optical::modal::python::FourierSolver3D_Mode_repr | ( | const FourierSolver3D::Mode & | self | ) |

Definition at line 87 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_Mode_str()

std::string plask::optical::modal::python::FourierSolver3D_Mode_str | ( | const FourierSolver3D::Mode & | self | ) |

Definition at line 78 of file fourier3d-python.cpp.

## ◆ FourierSolver3D_Mode_symmetry()

std::string plask::optical::modal::python::FourierSolver3D_Mode_symmetry | ( | const FourierSolver3D::Mode & | self | ) |

Definition at line 62 of file fourier3d-python.cpp.

## ◆ get_max_temp_diff()

template<typename SolverT >

py::object plask::optical::modal::python::get_max_temp_diff | ( | SolverT * | self | ) |

Definition at line 1073 of file modal-python.hpp.

## ◆ set_max_temp_diff()

template<typename SolverT >

void plask::optical::modal::python::set_max_temp_diff | ( | SolverT * | self,
|  | py::object | value
| ) |  |

Definition at line 1080 of file modal-python.hpp.

## ◆ solver_compute_reflectivity_name()

template<typename SolverT >

const char * plask::optical::modal::python::solver_compute_reflectivity_name | ( |  | ) |
| inline

Definition at line 950 of file modal-python.hpp.

## ◆ solver_compute_reflectivity_name< BesselSolverCyl >()

template<>

const char * plask::optical::modal::python::solver_compute_reflectivity_name< BesselSolverCyl > | ( |  | ) |
| inline

Definition at line 24 of file besselcyl-python.cpp.

## ◆ solver_compute_reflectivity_name< FourierSolver2D >()

template<>

const char * plask::optical::modal::python::solver_compute_reflectivity_name< FourierSolver2D > | ( |  | ) |
| inline

Definition at line 22 of file fourier2d-python.cpp.

## ◆ solver_compute_reflectivity_name< FourierSolver3D >()

template<>

const char * plask::optical::modal::python::solver_compute_reflectivity_name< FourierSolver3D > | ( |  | ) |
| inline

Definition at line 22 of file fourier3d-python.cpp.

## ◆ solver_compute_transmittivity_name()

template<typename SolverT >

const char * plask::optical::modal::python::solver_compute_transmittivity_name | ( |  | ) |
| inline

Definition at line 951 of file modal-python.hpp.

## ◆ solver_compute_transmittivity_name< BesselSolverCyl >()

template<>

const char * plask::optical::modal::python::solver_compute_transmittivity_name< BesselSolverCyl > | ( |  | ) |
| inline

Definition at line 28 of file besselcyl-python.cpp.

## ◆ solver_compute_transmittivity_name< FourierSolver2D >()

template<>

const char * plask::optical::modal::python::solver_compute_transmittivity_name< FourierSolver2D > | ( |  | ) |
| inline

Definition at line 26 of file fourier2d-python.cpp.

## ◆ solver_compute_transmittivity_name< FourierSolver3D >()

template<>

const char * plask::optical::modal::python::solver_compute_transmittivity_name< FourierSolver3D > | ( |  | ) |
| inline

Definition at line 26 of file fourier3d-python.cpp.

## ◆ Solver_computeReflectivity_array()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeReflectivity_array | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | CoeffsArray | coeffs
| ) |  |

Definition at line 1023 of file modal-python.hpp.

## ◆ Solver_computeReflectivity_index()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeReflectivity_index | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | size_t | index
| ) |  |

Definition at line 989 of file modal-python.hpp.

## ◆ Solver_computeReflectivity_polarization()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeReflectivity_polarization | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | Expansion::Component | polarization
| ) |  |

Definition at line 955 of file modal-python.hpp.

## ◆ Solver_computeTransmittivity_array()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeTransmittivity_array | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | CoeffsArray | coeffs
| ) |  |

Definition at line 1047 of file modal-python.hpp.

## ◆ Solver_computeTransmittivity_index()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeTransmittivity_index | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | size_t | index
| ) |  |

Definition at line 1006 of file modal-python.hpp.

## ◆ Solver_computeTransmittivity_polarization()

template<typename SolverT >

py::object plask::optical::modal::python::Solver_computeTransmittivity_polarization | ( | SolverT * | self,
|  | py::object | wavelength,
|  | Transfer::IncidentDirection | side,
|  | Expansion::Component | polarization
| ) |  |

Definition at line 972 of file modal-python.hpp.

## ◆ Solver_getDiagonalized()

template<typename Solver >

py::tuple plask::optical::modal::python::Solver_getDiagonalized | ( | Solver & | self,
|  | size_t | layer
| ) |  |

Definition at line 314 of file modal-python.hpp.

## ◆ Solver_getMatrices()

template<typename Solver >

py::tuple plask::optical::modal::python::Solver_getMatrices | ( | Solver & | self,
|  | size_t | layer
| ) |  |

Definition at line 307 of file modal-python.hpp.